<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/setting_bg">

    <com.ldt.springback.view.SpringBackLayout
        android:layout_width="267dp"
        android:layout_height="900dp"
        android:paddingHorizontal="10dp"
        android:layout_marginStart="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/backstage_constraintlayout">
        <com.google.android.material.navigation.NavigationView
            android:id="@+id/bnv_main_navigationbar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:itemIconPadding="25dp"

            android:background="@drawable/backstage_shape_product_left_nav_content"
            app:itemTextAppearance="@style/Menu"

            app:menu="@menu/backstage_menu_setting"
            app:theme="@style/ItemHeight" >

        </com.google.android.material.navigation.NavigationView>
    </com.ldt.springback.view.SpringBackLayout>



    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/backstage_constraintlayout"
        android:layout_width="match_parent"
        android:layout_height="118dp"
        android:background="#2B95FF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_system_set"
            android:layout_width="wrap_content"
            android:minWidth="267dp"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:padding="10dp"
            android:gravity="center"
            android:text="@string/base_backstage_system_set"
            android:layout_marginStart="20dp"
            android:textColor="@color/white"
            android:textSize="45sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_software_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginStart="10dp"
            android:gravity="center"
            android:text="plcc版本号："
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/btn_update_app"
            app:layout_constraintTop_toTopOf="@+id/btn_update_app" />

        <TextView
            android:id="@+id/tv_crate_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginStart="10dp"
            android:gravity="center"
            android:text="机箱版本号:"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/btn_update_app"
            app:layout_constraintTop_toBottomOf="@+id/tv_software_version" />

        <TextView
            android:id="@+id/tv_app_version"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:gravity="center"
            android:text="App版本号:"
            android:layout_marginLeft="20dp"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/tv_software_version"
            app:layout_constraintTop_toTopOf="@+id/tv_software_version" />
        <TextView
            android:layout_marginLeft="20dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/deviceNo"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/tv_app_version"
            app:layout_constraintTop_toTopOf="@+id/tv_app_version"
            app:layout_constraintLeft_toRightOf="@id/tv_app_version"></TextView>


        <TextView
            android:id="@+id/tv_dev_dogtag"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:gravity="center"
            android:text="铭牌号:"
            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/tv_crate_version"
            app:layout_constraintTop_toBottomOf="@+id/tv_app_version" />

        <TextView
            android:id="@+id/customized"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:gravity="center"

            android:textColor="@color/white"
            android:textSize="24sp"
            app:layout_constraintStart_toEndOf="@+id/tv_dev_dogtag"
            app:layout_constraintTop_toBottomOf="@+id/tv_app_version" />

        <TextView
            android:id="@+id/btn_update_app"
            android:layout_width="wrap_content"
            android:layout_height="66dp"
            android:layout_marginStart="20dp"
            android:gravity="center"
            android:background="@drawable/home_rectangle_t_blue_background"
            android:paddingHorizontal="10dp"
            android:minWidth="232dp"
            android:text="@string/base_backstage_check_update"
            android:textColor="@color/white"
            android:textSize="34sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/btn_connection_server"
            app:layout_constraintTop_toTopOf="parent" />
        <TextView
            android:id="@+id/tv_update_hint"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:background="@drawable/home_rectangle_update_red_background"
            android:gravity="center"
            android:text="1"
            android:textColor="@android:color/white"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="@+id/btn_update_app"
            android:visibility="gone"
            app:layout_constraintTop_toTopOf="@+id/btn_update_app" />

        <ImageView
            android:id="@+id/iv_dev_on_and_off"
            android:layout_width="58dp"
            android:layout_height="58dp"
            android:layout_marginEnd="60dp"
            android:src="@drawable/shutdwon"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/btn_connection_server"
            android:layout_width="wrap_content"
            android:layout_height="66dp"
            android:gravity="center"
            android:layout_marginStart="40dp"
            android:background="@drawable/home_rectangle_t_blue_background"
            android:minWidth="232dp"
            android:paddingHorizontal="10dp"
            android:text="@string/base_backstage_connection_server"
            android:textColor="@color/white"
            android:textSize="34sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/tv_system_set"
            app:layout_constraintTop_toTopOf="parent" />



    </androidx.constraintlayout.widget.ConstraintLayout>



    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/home_fragmentcontainerview"
        android:name="androidx.navigation.fragment.NavHostFragment"
        android:layout_width="1600dp"
        android:layout_height="900dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/bnv_main_navigationbar"
        app:layout_constraintTop_toBottomOf="@+id/backstage_constraintlayout"
        app:navGraph="@navigation/backstage_nav" />

    <TextView
        android:gravity="center"
        android:id="@+id/home_return_to_upper_level"
        android:layout_width="wrap_content"
        android:layout_height="80dp"
        android:layout_marginEnd="30dp"
        android:layout_marginBottom="30dp"
        android:drawableStart="@drawable/black"
        android:maxWidth="220dp"
        android:drawablePadding="10dp"
        android:paddingHorizontal="22dp"
        android:text="@string/base_backstage_back"
        android:background="@drawable/home_rectangle_background"
        android:textColor="@color/black"
        android:textSize="32sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>